Deletes the specified SecurityHealthAnalyticsCustomModule and all of its descendants in the CRM hierarchy. This method is only supported for resident custom modules.
IAM Permissions
Requires the following IAM permission on the resource specified in the name field:
securitycenter.securityhealthanalyticscustommodules.delete
HTTP request
DELETE https://securitycenter.googleapis.com/v1/{name=folders/*/securityHealthAnalyticsSettings/customModules/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the custom module to delete. Its format is |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.